<id>
Board Index Showcase Poll Addon Mod for Polls v2 Mod
</id>

<version>
1.2
</version>

<mod info>
"Showcase's" a poll selected by the Admin to be displayed on the Board Index page.
Ability to add a brief "Comment" next to the Showcase Poll.

Showcase a poll by clicking "Showcase Poll?" in lower right hand corner of existing polls.

Remove the current "Showcase Poll" by clicking "Remove Showcase Poll?" in lower right hand 
corner of the currently showcased poll on the Board Index page.

Current "Showcase Poll's" are designated in the thread display page of the poll which is the 
current "Showcase Poll" with "Currently Being Showcased" in the lower right hand corner of 
the poll(visible to all users).

Only the Admin can "Showcase" or remove a "Showcase" poll, similiar to other forum 
features that are restricted to Admin decisions. However, all Admin/Global Moderator 
functions that are normally accessible to polls remain accessible in the
"Showcase Poll" ("lock/unlock", "modify" and for Admins, "view voters").

Link to the thread of which the poll is associated is provided under the "Submit" button.

If a poll that is currently being "Showcased", is in a thread that resides in a Category 
for which the guest or member does not have access to, then the "Showcase" poll will 
not be displayed to that user on the Board Index page.

THIS MOD REQUIRES POLLS V2Final By Shoeb Omar (Omario)
Version 1.2 - Fixed unlink command in sub delshowcasepoll.

Version 1.1 - Added routines to return voters back to Board Index page after voting.
            - Added announce.gif to zip file.


Version 1.0 - Added ability to add a brief comment next to Showcase Poll.
            - Minor color formatting changes.
            - Fixed two occurrences of $FORM{'xxx'} to $INFO{'xxx'} to adhere to Forms Security release.
            
Version 0.9 - First Release

Uninstall Beta Release 0.9 or 1.0 if previously installed, before installing this mod.

Files modified:
  english.lng
  YaBB.pl
  Sources/Display
  Sources/BoardIndex.pl
  Sources/Poll.pl
Copy announce.gif to YaBBImages dir.


Credit obviously goes to Shoeb Omar (Omario) and Sam Holman (Samm) for Polls Mod v2 (Thanks Guys!)
Big Thank You goes to all the mod writers that I have learned from, especially BHRA!

</mod info>

<author>
DummyProof
</author>

<homepage>
http://cgi.tripod.com/yabbsp1_1/cgi-bin/YaBB.pl
</homepage>

<edit file>
YaBB.pl
</edit file>

<search for>
	elsif ($action eq 'showvoters') { require "$sourcedir/Poll.pl"; &votedetails; }
</search for>

<add after>
	elsif ($action eq 'scpoll') { require "$sourcedir/Poll.pl"; &showcasepoll; }
	elsif ($action eq 'scpolldel') { require "$sourcedir/Poll.pl"; &delshowcasepoll; }
	elsif ($action eq 'sccomment') { require "$sourcedir/Poll.pl"; &SPComment; }
	elsif ($action eq 'sccomment2') { require "$sourcedir/Poll.pl"; &SPComment2; }
</add after>

<edit file>
Sources/BoardIndex.pl
</edit file>

<search for>
        </td>
      </tr>
    </table>
    </td>
  </tr>
</table>
~;
	}
</search for>

<add after>
########showcase poll start
# Look for a showcase.poll file.
if (-e "$datadir/showcase.poll") {
	my ($board, $viewnum, $spcomment, $comment1, $comment2, $comment3);

	fopen (FILE, "$datadir/showcase.poll");
		@showdata = <FILE>;
	fclose (FILE);
	$showcasepoll = $showdata[0];
	$showcasepoll =~ s~\n~~g;
	($board, $viewnum, $spcomment) = split(/\|/, $showcasepoll);

	if ($spcomment){
		&FromHTML($spcomment);
		$comment1 = qq~<td width=1%> </td>~;
		$comment2 = qq~<td class="catbg" bgcolor="$color{'catbg'}" align=left width="35%"><font size="2"><b>$scpolltxt{'6'}</b></font></td><td width=1%> </td>~;
		$comment3 = qq~<td valign=top width=*>$spcomment</td><td width=1%> </td>~;
	}
# Look for a valid poll file.
if (-e "$datadir/$viewnum.poll") {
	$pollthread = 1;
	unless( &BoardAccessGet($board) ) { $pollthread = 0; }
}
if ($pollthread) {
	fopen (FILE, "$datadir/$viewnum.poll");
		@polldata = <FILE>;
	fclose (FILE);
	$pollquestion = $polldata[0];
	$pollquestion =~ s~\n~~g;
	($question, $lockstatus) = split(/\|/, $pollquestion);
	$num = 1;
	$line = 0;
	my @options;
	my @votes;
	foreach $pointer (@polldata) {
		($vote, $option) = split(/\|/, $polldata[$num]);
		$options[$line] = $option;
		$votes[$line] = $vote;
		$line++;
		$num++;
	}
	
	$search = -1;
	my $found;
	$usersemail = $settings[2];
	$userstatus = $settings[7];
	$found = &CheckVoted($viewnum); 
	
	if ($found) { $userhasvoted = 1; }
	$viewresults = $INFO{'viewresults'};
	if ($lockstatus eq "Locked") { $pollislocked = 1; }
	
	my $boardpoll = '';
	if ($userstatus eq "Administrator" ) { 
		$boardpoll = qq~<a href="$cgi;action=scpolldel" class="altlink">$scpolltxt{'2'}</a>&nbsp;~;
		$addcmmt = qq~<a href="$cgi;action=sccomment" class="altlink">$scpolltxt{'5'}</a>&nbsp;~;
	}
	if ($username ne "Guest" && ($username eq $susername) || ($userstatus eq "Administrator" or $userstatus eq "Global Moderator" or exists $moderators{$username})) { $modifypoll = qq~<a href="$cgi$board;action=modify;message=0;thread=$viewnum" class="altlink">$img{'modifypoll'}</a>&nbsp;~; }
	if (($userstatus eq "Administrator" || $userstatus eq "Global Moderator" || exists $moderators{$username}) && ($pollislocked ne 1)) { $lockpoll = qq~<a href="$cgi$board;action=lockpoll;num=$viewnum;brdpoll=1" class="altlink">$img{'polliconclosed'} $polltxt{'20'}</a>&nbsp;~; }
	if (($userstatus eq "Administrator" || $userstatus eq "Global Moderator" || exists $moderators{$username}) && ($pollislocked eq 1)) { $lockpoll = qq~<a href="$cgi$board;action=unlockpoll;num=$viewnum;brdpoll=1" class="altlink">$img{'polliconclosed'} $polltxt{'21'}</a>&nbsp;~; }
	if ($userstatus eq "Administrator"){ $displayvoters = qq~<a href="$cgi$board;action=showvoters;num=$viewnum;brdpoll=1" class="altlink">$img{'viewvoters'}</a>~;}
	$vresults = qq~<a href="$cgi;num=$viewnum;viewresults=yes" class="altlink">$polltxt{'19'}</a>~;
	$vthread = qq~<a href="$cgi$board;action=display;num=$viewnum" class="altlink">$scpolltxt{'1'}</a>~;
	if ($pollislocked eq 1) { $endedtext = $polltxt{'22'}; }

	$poll_icon = qq~$img{'pollicon'}~;
	if ($pollislocked == 1) { $poll_icon = qq~$img{'polliconclosed'}~; }

	$yymain.= qq~<table border="0" width="100%" cellspacing="1" cellpadding="3" bgcolor="$color{'bordercolor'}" class="bordercolor">
  <tr>
    <td valign="middle" align="left" bgcolor="$color{'titlebg'}" class="titlebg" width="20%"><font size=2 class="text1" color="$color{'titletext'}">&nbsp;$poll_icon <b>$polltxt{'15'}</b></font></td>
    <td valign="middle" align="center" bgcolor="$color{'titlebg'}" class="titlebg" width="45%"><font size=2 class="text1" color="$color{'titletext'}"><b>$endedtext</b></font></td>
    <td valign="middle" align="right" bgcolor="$color{'titlebg'}" class="titlebg" width="35%"><font size=1 color="$color{'titletext'}">$lockpoll &nbsp; $displayvoters &nbsp; $modifypoll</font></td>
 </tr><tr>
    <td colspan="3" valign="top" align="center" bgcolor="$color{'windowbg2'}" class="windowbg2">
~;
	# Censor the question.
	foreach (@censored) {
		($tmpa,$tmpb) = @{$_};
		$question =~ s~\Q$tmpa\E~$tmpb~gi;
	}

	if (($userhasvoted) || $viewresults eq 'yes' || $pollislocked eq 1 ) {
		
		$yymain.= qq~
      <table border="0" cellspacing="0" cellpadding="5" bgcolor="$color{'windowbg2'}" class="windowbg2">
        <tr valign="top">
           $comment1<td nowrap class="catbg" bgcolor="$color{'catbg'}" align="center"><font size="2"><b>$polltxt{'16'}:</b>  $question</font><br></td>$comment1$comment2
        </tr>
        <tr> 
           $comment1<td align="center">
            <table border="0" cellspacing="0" cellpadding="0">~;
		$nums = 0;
    
		my $Key; 
		my $Total; 
		$maxvote = 0;
		foreach $Key (@votes) { 
			$Total += $Key; 
			if ($Key >= $maxvote) { $maxvote = $Key;}
		} 

		$totalvotes = $Total;
		pop (@options);
		foreach (@options) {

			# Censor the options.
			foreach (@censored) {
				($tmpa,$tmpb) = @{$_};
				$options[$nums] =~ s~\Q$tmpa\E~$tmpb~gi;
			}
			$message = $options[$nums]; # put the message back into the proper variable to do ubbc on it
			if(!$yyYaBBCloaded) { require "$sourcedir/YaBBC.pl"; } &MakeSmileys;
			$options[$nums] = $message;
			$options[$nums] =~ s~\n~~g;
			$options[$nums] =~ s~<br>~~g;
			$yymain .= qq~
              <tr> 
                <td nowrap><b><font size="2">$options[$nums]</font></b></td>
                <td nowrap>~;

# Now lets calculate how many devisions by the total number of votes are needed to make the bar graphs stay nicely sized in the browser window:

			$pollpercent = 0;
			$pollbar = 0;
			if ($totalvotes ne 0 && $maxvote ne 0) {
				$pollpercent = int(1000 * $votes[$nums] / $totalvotes);
				$pollpercent = $pollpercent / 10; 
				$pollbar = int( 150 * $votes[$nums] / $maxvote);
			}
    
			$yymain .= qq~&nbsp;&nbsp;<img src="$imagesdir/poll_left.gif" align="middle"><img src="$imagesdir/poll_middle.gif" height="12" width="$pollbar" align="middle"><img src="$imagesdir/poll_right.gif" align="middle"> <font size="2">$votes[$nums] ($pollpercent%)</font></td>
              </tr>~;
			$nums++;
		}

		$yymain .= qq~
            </table>
            <br><b><font size="2">$polltxt{'17'}: $totalvotes</font></b>
          </td>$comment1$comment3
        </tr>
      </table>
<table width="100% "border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td valign="middle" align="left" width="30%"><font size=1 color="$color{'titletext'}">$addcmmt</font></td>
    <td valign="middle" align="center" width="40%"><font size="2">$vthread</font></td>
    <td valign="middle" align="right" width="30%"><font size=1 color="$color{'titletext'}">$boardpoll</font></td>
 </tr>
</table>
~;
	}
	else {
		$yymain.= qq~
      <form name="poll" method="post" action="$cgi$board;action=vote;brdpoll=1;num=$viewnum">
        <table border="0" cellspacing="0" cellpadding="5">
          <tr valign="top"> 
            $comment1<td nowrap class="catbg" bgcolor="$color{'catbg'}" align="center"><font size="2"><b>$polltxt{'16'}:  </b>$question</font></td>$comment1$comment2
          </tr>
          <tr> 
            $comment1<td align="center">
              <table border="0" cellspacing="0" cellpadding="0">~;
		$nums = 0;
		pop (@options);
		foreach (@options) {
			# Censor the options.
			foreach (@censored) {
				($tmpa,$tmpb) = @{$_};
				$options[$nums] =~ s~\Q$tmpa\E~$tmpb~gi;
			}
			$options[$nums] =~ s~\n~~g;
			$options[$nums] =~ s~<br>~~g;
			$message = $options[$nums]; # put the message back into the proper variable to do ubbc on it
			if(!$yyYaBBCloaded) { require "$sourcedir/YaBBC.pl"; } &MakeSmileys;
			$options[$nums] = $message;
			$yymain .= qq~
                <tr valign="top"> 
                  <td nowrap><INPUT type="radio" name="option" value="$nums">&nbsp;</td>
                  <td nowrap valign="middle"><font size="2">$options[$nums]</font></td>
                </tr>~;
			$nums++;
  		}
		$yymain .= qq~
              </table>
            </td>$comment1$comment3
          </tr>
          <tr>
            $comment1<td align="center"><INPUT type="submit" value="$polltxt{'18'}"><br><font size="2">$vresults \~ $vthread</font></td>$comment1$comment1$comment1
          </tr></form>
        </table>
<table width="100% "border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td valign="middle" align="left" width="30%"><font size=1 color="$color{'titletext'}">$addcmmt </font></td>
    <td valign="middle" align="center" width="40%"><font size="2"> </font></td>
    <td valign="middle" align="right" width="30%"><font size=1 color="$color{'titletext'}"> $boardpoll</font></td>
 </tr>
</table>
~;
	}
$yymain .= qq~
    </td>
  </tr>
</table>~;	
  }
}

#########showcase poll end

</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
	if ($lockstatus eq "Locked") { $pollislocked = 1; }
</search for>

<add after>
	
########showcase poll
# Look for a showcase.poll file.
	my($scboard, $scviewnum, $comment, $boardpoll, $showcasepoll);
if (-e "$datadir/showcase.poll") {
	fopen (FILE, "$datadir/showcase.poll");
		@showdata = <FILE>;
	fclose (FILE);
	$showcasepoll = $showdata[0];
	$showcasepoll =~ s~\n~~g;
	($scboard, $scviewnum, $comment) = split(/\|/, $showcasepoll);
}
	$boardpoll = '';
	if ($scviewnum == $viewnum) {
		$boardpoll = qq~<i>$scpolltxt{'3'}</i>&nbsp;~;
	}
	if ($userstatus eq "Administrator" && ($scviewnum != $viewnum)) {
		$boardpoll = qq~<a href="$cgi;action=scpoll;num=$viewnum;brd=$currentboard" class="altlink">$scpolltxt{'4'}</a>&nbsp;~;
	}
########showcase poll

</add after>

<search for>
		$yymain.= qq~
      <table border="0" width="100%" cellspacing="0" cellpadding="5" bgcolor="$color{'windowbg2'}" class="windowbg2">
        <tr valign="top">
          <td><font size="2"><b>$polltxt{'16'}:</b>  $question</font><br><br></td>
        </tr>
</search for>

<replace>
		$yymain.= qq~
      <table border="0" cellspacing="0" cellpadding="5" bgcolor="$color{'windowbg2'}" class="windowbg2">
        <tr valign="top">
          <td align="center"><font size="2"><b>$polltxt{'16'}:</b>  $question</font><br><br></td>
        </tr>
</replace>

<search for>
                <td width="250">~;

# Now lets calculate how many devisions by the total number of votes are needed to make the bar graphs stay nicely sized in the browser window:
</search for>

<replace>
                <td>~;

# Now lets calculate how many devisions by the total number of votes are needed to make the bar graphs stay nicely sized in the browser window:
</replace>

<search for>
            <br><b><font size="2">$polltxt{'17'}: $totalvotes</font></b>
          </td>
        </tr>
      </table>
</search for>

<add after>
<table width="100% "border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td valign="middle" align="left" width="30%">&nbsp;</td>
    <td valign="middle" align="center" width="40%"><font size="2">$vthread</font></td>
    <td valign="middle" align="right" width="30%"><font size="1" >$boardpoll</font></td>
 </tr>
</table>
</add after>

<search for>
      <form name="poll" method="post" action="$cgi;action=vote;board=$board;num=$viewnum">
        <table border="0" width="100%" cellspacing="0" cellpadding="5">
          <tr valign="top"> 
            <td><font size="2"><b>$polltxt{'16'}:  </b>$question</font></td>
          </tr>
          <tr> 
            <td align="center">
              <table width="90%" border="0" cellspacing="0" cellpadding="0">~;
</search for>

<replace>
      <form name="poll" method="post" action="$cgi;action=vote;board=$board;num=$viewnum">
        <table border="0" cellspacing="0" cellpadding="5">
          <tr valign="top"> 
            <td><font size="2"><b>$polltxt{'16'}:  </b>$question</font></td>
          </tr>
          <tr> 
            <td align="center">
              <table border="0" cellspacing="0" cellpadding="0">~;
</replace>

<search for>
                <tr valign="top"> 
                  <td width="5%"><INPUT type="radio" name="option" value="$nums"></td>
                  <td width="95%" valign="middle"><font size="2">$options[$nums]</font></td>
                </tr>~;
</search for>

<replace>
                <tr valign="top"> 
                  <td><INPUT type="radio" name="option" value="$nums">&nbsp;</td>
                  <td valign="middle"><font size="2">$options[$nums]</font></td>
                </tr>~;
</replace>

<search for>
            <td align="center"><INPUT type="submit" value="$polltxt{'18'}"><br><font size="2">$vresults</font></td>
          </tr>
        </table>
      </form>
</search for>

<replace>
            <td align="center"><INPUT type="submit" value="$polltxt{'18'}"><br><font size="2">$vresults</font></td>
          </tr></form>
        </table>
<table width="100% "border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td valign="middle" align="right"><font size="1">$boardpoll</font></td>
 </tr>
</table>
</replace>

<edit file>
Sources/Poll.pl
</edit file>

<search for>
	$viewnum = $INFO{'num'};
	$vote = $FORM{'option'};
	$board = $INFO{'board'};
</search for>

<add after>
########boardpoll
	$brdpoll = $INFO{'brdpoll'};
########boardpoll
</add after>

<search for>
			fclose (FILE);
			
			$yySetLocation = qq~$cgi;action=display;num=$viewnum;start=0~;
</search for>

<replace>
			fclose (FILE);
			
########boardpoll
#			$yySetLocation = qq~$cgi;action=display;num=$viewnum;start=0~;
			if ($brdpoll == 1){$yySetLocation = qq~$scripturl~;}
			elsif ($brdpoll == 2){$yySetLocation = qq~$returl~;}
			else {$yySetLocation = qq~$cgi;action=display;num=$viewnum;start=0~;}
########boardpoll
</replace>

<search for>
sub LockPoll {
	$viewnum = $INFO{'num'};
</search for>

<add after>
########boardpoll
	$brdpoll = $INFO{'brdpoll'};
########boardpoll
</add after>

<search for>
	$unorlock = "Locked";
	$threaddata[0] = "$question|$unorlock\n";
	fopen (FILE, ">$datadir/$viewnum.poll");
	print FILE @threaddata;
	fclose (FILE);
		$yySetLocation = qq~$cgi;action=display;num=$viewnum;start=0~;
</search for>

<replace>
	$unorlock = "Locked";
	$threaddata[0] = "$question|$unorlock\n";
	fopen (FILE, ">$datadir/$viewnum.poll");
	print FILE @threaddata;
	fclose (FILE);
########boardpoll
#		$yySetLocation = qq~$cgi;action=display;num=$viewnum;start=0~;
		if ($brdpoll == 1){
		$yySetLocation = qq~$scripturl~;
		} else {$yySetLocation = qq~$cgi;action=display;num=$viewnum;start=0~;}
########boardpoll
</replace>

<search for>
sub UnlockPoll {
	$viewnum = $INFO{'num'};
</search for>

<add after>
########boardpoll
	$brdpoll = $INFO{'brdpoll'};
########boardpoll
</add after>

<search for>
	$unorlock = "UnLocked";
	$threaddata[0] = "$question|$unorlock\n";
	fopen (FILE, ">$datadir/$viewnum.poll");
	print FILE @threaddata;
	fclose (FILE);
		$yySetLocation = qq~$cgi;action=display;num=$viewnum;start=0~;
</search for>

<replace>
	$unorlock = "UnLocked";
	$threaddata[0] = "$question|$unorlock\n";
	fopen (FILE, ">$datadir/$viewnum.poll");
	print FILE @threaddata;
	fclose (FILE);
########boardpoll
#		$yySetLocation = qq~$cgi;action=display;num=$viewnum;start=0~;
		if ($brdpoll == 1){
		$yySetLocation = qq~$scripturl~;
		} else {$yySetLocation = qq~$cgi;action=display;num=$viewnum;start=0~;}
########boardpoll
</replace>

<search for>
1;
</search for>

<add before>
sub showcasepoll{
	if (-e "$datadir/showcase.poll") {
		fopen (FILE, "$datadir/showcase.poll")|| die "You must first assign a Showcase Poll";
			@showdata = <FILE>;
		fclose (FILE);
		$showcasepoll = $showdata[0];
		$showcasepoll =~ s~\n~~g;
		($tmpa, $tmpb, $comment) = split(/\|/, $showcasepoll);
	} else { $comment= '';
	}	
	my $brdid = $INFO{'brd'};
	my $thrdid = $INFO{'num'};
	fopen (FILE, ">$datadir/showcase.poll");
	print FILE "$brdid|$thrdid|$comment";
	fclose (FILE);
	$yySetLocation = qq~$scripturl~;
	&redirectexit;
	exit;
}

sub delshowcasepoll{
	if (-e "$datadir/showcase.poll") { unlink("$datadir/showcase.poll"); }
	$yySetLocation = qq~$scripturl~;
	&redirectexit;
	exit;
}

sub SPComment {
	&is_admin;
	my ($brd, $num, $comment);
	fopen (FILE, "$datadir/showcase.poll")|| die "You must first assign a Showcase Poll";
		@showdata = <FILE>;
	fclose (FILE);
	$showcasepoll = $showdata[0];
	$showcasepoll =~ s~\n~~g;
	($board, $viewnum, $comment) = split(/\|/, $showcasepoll);
	$comment =~ s~<br>~\n~g;
	$yymain .= qq~
<center>
<table border=0 width="60%" cellspacing=1 bgcolor="$color{'bordercolor'}" class="bordercolor" cellpadding="4">
  <tr>
    <td class="titlebg" bgcolor="$color{'titlebg'}">
    <img src="$imagesdir/announce.gif" border=0 width=16 height=15 alt="$scpolltxt{'7'}">$img{'pollicon'}
    <font size="2" class="text1" color="$color{'titletext'}"><b>$scpolltxt{'7'}</b></font></td>
  </tr><tr>
    <td class="windowbg" bgcolor="$color{'windowbg'}">
    <BR><font size="2">$scpolltxt{'8'}</font><BR><BR></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}" align="center"><font size=2>
    <form action="$cgi;action=sccomment2" method="POST"><BR>
    <textarea rows=10 cols=50 wrap=virtual name="comment" style="width:98%">$comment</textarea>
    <input type="hidden" name="brd" value="$board"><input type="hidden" name="num" value="$viewnum">
    <br><BR><input type=submit value="$txt{'10'}"></font>
   <br><br><font size="2">&nbsp;<b>$scpolltxt{'9'}:</b></font>&nbsp;<input type="checkbox" name="del" value="1">
  </form></td></tr>
</table>
</center>
~;
	$yytitle = "$scpolltxt{'7'}";
	&template;
	exit;
}

sub SPComment2 {
	&is_admin;
	my $brdid = $FORM{'brd'};
	my $thrdid = $FORM{'num'};
	my $delcmmt = $FORM{'del'};
	my $cmmt = $FORM{'comment'};
	&ToHTML($cmmt);
	$cmmt =~ s~\t~ \&nbsp; \&nbsp; \&nbsp;~g;
	$cmmt =~ s~\n~<br>~g;
	$cmmt =~ s/[\n\r]//g;
	if ($delcmmt){$cmmt = ''};
	fopen (FILE, ">$datadir/showcase.poll");
	print FILE "$brdid|$thrdid|$cmmt\n";
	fclose (FILE);
	$yySetLocation = qq~$scripturl~;
	&redirectexit;
	exit;
}

</add before>

<edit file>
english.lng
</edit file>

<search for>
$polltxt{'42'} = "Poll Details";
</search for>

<add after>
$scpolltxt{'1'} = "View Thread";
$scpolltxt{'2'} = "Remove Showcase Poll?";
$scpolltxt{'3'} = "Currently Being Showcased";
$scpolltxt{'4'} = "Showcase Poll?";
$scpolltxt{'5'} = "Add/Modify Comment?";
$scpolltxt{'6'} = "Comment:";
$scpolltxt{'7'} = "Add Showcase Poll Comment";
$scpolltxt{'8'} = "Enter text below to be shown as a \"Comment\" next to the \"Showcase Poll\".<br>Comments should be kept brief and concise due to the small text area of the comment.<br><br>To remove an existing comment, check the \"Delete Showcase Comment\" checkbox and press save.";
$scpolltxt{'9'} = "Delete Showcase Comment";
</add after>

<search for>
	$img{'createpoll'} = qq~<font size="1" class="imgcatbg">$polltxt{'1'}</font>~;
</search for>

<add after>
	$img{'pollicon'} = qq~<img src="$imagesdir/poll_icon.gif" alt="$polltxt{'15'}" border="0">~;
	$img{'polliconclosed'} = qq~<img src="$imagesdir/poll_icon_closed.gif" alt="" border="0">~;
	$img{'modifypoll'} = qq~<img src="$imagesdir/modify.gif" alt="$polltxt{'39'}" border="0"> $polltxt{'39'}~;
	$img{'viewvoters'} = qq~<img src="$imagesdir/register.gif" alt="$polltxt{'33'}" border="0"> $polltxt{'33'}~;
</add after>

<search for>
	$img{'pollicon'} = qq~<img src="$imagesdir/poll_icon.gif" alt="$polltxt{'24'}" border="0">~;
	$img{'polliconclosed'} = qq~<img src="$imagesdir/poll_icon_closed.gif" alt="$polltxt{'23'}" border="0">~;
</search for>

<replace>
	$img{'pollicon'} = qq~<img src="$imagesdir/poll_icon.gif" alt="$polltxt{'15'}" border="0">~;
	$img{'polliconclosed'} = qq~<img src="$imagesdir/poll_icon_closed.gif" alt="" border="0">~;
	$img{'modifypoll'} = qq~<img src="$imagesdir/modify.gif" alt="$polltxt{'39'}" border="0"> $polltxt{'39'}~;
	$img{'viewvoters'} = qq~<img src="$imagesdir/register.gif" alt="$polltxt{'33'}" border="0"> $polltxt{'33'}~;
</replace>